Subject: WG ACTION: Application Exchange (apex)

From: The IESG <[email-masked]>
Date: Mon, 12 Mar 2001 14:07:20 -0500

A new working group has been formed in the Applications
Area of the IETF.

For additional information, contact the Area Directors
or the WG Chair.

Application Exchange (apex)
---------------------------
 Current Status: Active Working Group
 
 Chair(s):
     Pete Resnick <[email-masked]>
 
 Applications Area Director(s): 
     Ned Freed  <[email-masked]>
     Patrik Faltstrom  <[email-masked]>
 
 Applications Area Advisor: 
     Patrik Faltstrom  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe
     Archive:           http://lists.invisible.net/pipermail/apexwg/
 
Description of Working Group:
 
The APEX working group shall specify protocols and data formats that
define a relaying mesh service for loosely-coupled Internet
applications, along with specifying services to provide access
control and rendezvous-by-subscription. In addition, the working
group shall specify CPIM-compliant application services for
text-based instant messaging and for online presence, based on the
APEX service.

Instant messaging differs from email primarily by requiring
relatively short delivery latency guarantees and, typically, less
robust transport service. Presence information was readily
accessible on Internet-connected systems years ago; when a user had
an open session to a well-known multi-user system, friends and
colleagues could easily tell who was online. However there is no
standard way to make this information known to peers. Similarly a
number of messaging systems have operated over the Internet and
continue to do so, although none has focused on assuring very low
latency between posting and delivery.

The working group will use APEX (as described in draft-mrose-apex-*)
as the basis of the relay mesh, access control and rendezvous
specifications. The working group will use
draft-klyne-imxp-message-service and draft-klyne-message-rfc822-xml
as its starting points for defining the instant messaging and
presence conforming to RFC2779 and the interoperability details in the
final version of the CPIM specification (draft-ietf-impp-cpim).
BCP 41 will be the basis for working group consideration of the
transport implications of the APEX designs with respect to network
congestion, and the working group will coordinate on this with the
BEEP WG.

Although not encouraged, non-backwards-compatible changes to the basis
specifications will be acceptable if the working group determines that
the changes are required to meet the group's technical objectives and
the group clearly documents the reasons for making them.

 Goals and Milestones: 
 
   Mar 01       Prepare updated specifications for APEX relay mesh, access and 
                rendezvous, reflecting issues and solutions identified by the 
                working group                                                  

   Mar 01       Prepare initial draft of CPIM-compliant APEX Text Messaging and
                Presence specifications                                        

   May 01       Submit revised APEX specifications to the IESG for 
                consideration as a standards-track publication                 

   May 01       Submit revised Text Messaging and Presence specifications to 
                the IESG for consideration as a standards-track publication